# Commands recall

## Flex (.l)
- Create a lexique file from the flex.lex file in argument
```bash
- flex -o LEXIQUE.c FLEX.lex
```

- Compile the main.c file
```bash
- gcc -lfl LEXIQUE.c main.c -o main
```

- Run on a test programm
```bash
./main < TEST_FILE.txt
```

## YACC/BISON (.y)
- Create a yacc .c file :
```bash
bison YACC.y
```

- Pour avoir un fichier .output de la table d’analyse LALR :
```bash
bison -v YACC.y
```

- Pour avoir un graphe .gv puis converti en pdf par dot :
```bash
bison --report=all --graph YACC.y ; dot -Tpdf GV_FILE.gv > FILE.pdf
```

- Create a .h file with the yacc .c file :
```bash
bison -d YACC.y
```
- Function `yyparse()` to launch a syntaxic analyseur.

## MIPS commands (.asm)
- Run the `input.asm` file with `Mars4_5.jar` :
```bash
java -jar Mars4_5.jar input.asm 
```

Download [MARS : MIPS java simulator on moodle unistra](https://moodle.unistra.fr/pluginfile.php/916605/mod_folder/content/0/Mars4_5.jar?forcedownload=1).

## Navigation
Return to the main documentation -> [click here](./../README.md).